Multiprocesador

Imagen de dragoner
0 puntos

Hola, recientemente me han regalado un servidor antiguo que lleva dos microprocesadores Pentium 200 MMX.
He instalado UBUNTU 5.10, con el kernel Linux 2.6.12-9-386, el cual creo que no reconoce los dos procesadores a tenor de la salida del comando: cat /proc/cpuinfo

root@servidor:/boot# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 5
model : 4
model name : Pentium MMX
stepping : 3
cpu MHz : 199.529
fdiv_bug : no
hlt_bug : no
f00f_bug : yes
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr mce cx8 apic mmx
bogomips : 393.21

root@servidor:/boot#

Según he leído, necesito instalarme el kernel linux-686-smp, y sin embargo cuando hago un aptitude install linux-686-smp , obtengo estos errores de dependencia:

root@servidor:/boot# aptitude install linux-686-smp
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho
E: No se pudieron corregir los problemas, usted ha retenido paquetes
rotos.
E: No ha sido posible corregir las dependencias, no se pueden instalar algunos de los paquetes
E: Unable to resolve some dependencies!
No se cumplen las dependencias de algunos paquetes. Esto puede significar que ha
solicitado una situación imposible o que si usa la distribución inestable algún
paquete requerido aún no ha sido creado o sigue en «Incoming».

No se satisfacen las dependencias de los siguientes paquetes:
linux-686-smp: Depende: linux-image-686-smp que es un paquete virtual.
Depende: linux-restricted-modules-686-smp pero no es instalable
root@servidor:/boot#

Alguien sabe cómo instalar dicho kernel en mi sistema, en caso de que esa sea la solución.
Gracias.

Imagen de goyito666
+1
0
-1

Hola dragoner.

Yo dispongo de un P4-HT, que creo que viene a ser igual. Te paso los modulos que yo tengo instalados, no te fies mucho de las notaciones de puntos y guiones pues son de cabeza:

-En synaptic en el apartado "base"

linux-image-386 #lo instala por defecto
linux-image-6.12.9-386 #lo instala por defecto
linux-image-686-smp #el añadido
linux-image-6.12.9-686-smp #otro añadido

-En el apartado "base restricted modules"

linux-386 #por defecto
linux-restricted-modules-386 #por defecto
linux-restricted-modules-686-smp #añadelo

Al añadir estos tres modulos me lo hizo todo, al arrancar ya sale la opción de hacerlo con un kernel y otro. Para mas información pasate por la wikipedia, yo lo copie de la ayuda para breezy.

De todas formas, y si vale de algo, pues no estoy muy en la materia, puede que sea por que te falte marcar uno de los modulos, fijate en que hay que marcar mas de uno del mismo tipo, o bien si los P200 no entran en el soporte del kernel 686. Pero como ya he dicho mis conocimientos no dan para mas.

Un saludo y espero que te vaya bien ;-)

+1
0
-1
Imagen de norbac85
+1
0
-1

Hola, oye soy nuevo en esta comunidad, así que no sé si lo que estoy haciendo al escribir mi pregunta de esta forma, es lo correcto pero bueno, empiezo.
Lo que pasa es que yo ya he instalado el kernel con soporte para smp, pero tengo el problema que cuando uso gaim este después de un rato (como 2 minutos) de estar usandolo se empieza a poner todo lento, toda la PC se hace lenta, hasta el punto que la tengo que apagar, de la forma no correcta, con el boton de apagado del gabinete.

Bueno pero ahora lo que a mi se me hace raro es que esto tan solo me pasa cuando uso el kernel con soporte smp, en cambio cuando uso el kernel sin este soporte el gaim trabaja bien.
Por razones de rendimiento deseo activar el soporte smp, pero obviamente quiero que el gaim funcione bien, no creo que sea un problema del gaim sobre el soprte smp, puesto que ya he instalado el aMSN y pasa lo mismo.
No sé si a alguien se le haya presentado el mismo problema y me pueda decir como resolverlo.

Muchas Gracias por adelantado. :)

Notas: Tengo un procesador Pentium IV ht a 2.8
Las entradas del menu-lst (Grub) son
//Kernel CON soporte smp
kernel /boot/vmlinuz-2.6.10-6-686-smp root=/dev/hdb5 ro quiet splash
//Kernel SIN soporte smp
kernel /boot/vmlinuz-2.6.10-6-686 root=/dev/hdb5 ro quiet splash

HOLA BUENO ESTA EDICIÓN ES PARA INFORMAR QUE YA SE RESOLVIÓ MI PROBLEMA:
Y LA MANERA EN LA QUE ESTO FUE ES QUE ACTUALIZÉ EL UBUNTU A LA NUEVA VERSIÓN BREEZY, Y CON ESO YA PUEDO USAR EL KERNEL CON SOPORTE PARA SMP Y NO ME DA PROBLEMAS CON EL GAIM, BUENO ES TODO MUCHAS GRACIAS.

+1
0
-1
Imagen de Gael
+1
0
-1

Verás, el problema es que el Pentium MMX es el equivalente a un 586, el 686 sería la gama de procesadores del Pentium Pro, Pentium 2 y Pentium 3, que son Pentium Pro pero con nuevas instrucciones (MMX y SSE), y K-6 y K-6 2 de AMD.
Ese kernel no funcionará en tu procesador, necesitarás compilar uno.

+1
0
-1
Imagen de dragoner
+1
0
-1

Es cierto, el mismo día que escribí el post, compilé un nuevo kernel añadiendo la opción para el multiprocesador, especificando también la clase de micro que estaba usando, y voilá! funcionó.

Gracias por vuestras respuestas, ciao!

+1
0
-1
Imagen de Anónimo
+1
0
-1

hola

yo le estoy intentando poner kubuntu en un P2 mmx y slo pueod instalar pero a la hora de arrancar em sale un error "crc" que no se que cojones es. alguien me puede echar un mano porfavor?

gracias!!!!

+1
0
-1